git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
path: root/.bash/vars.bash
diff options
context:
space:
mode:
authormail_redacted_for_web 2026-04-19 12:32:08 +0200
committermail_redacted_for_web 2026-04-19 12:32:08 +0200
commitb4ee26494bcddf8eb758ffa8a0c86d34c9aa11f5 (patch)
tree8e7f4233470e31a7b68a5cf79bfd34df8b302271 /.bash/vars.bash
parent1a544ef9580f7b64ce789a1dfe26b112b399eb9b (diff)
downloaddotfiles-b4ee26494bcddf8eb758ffa8a0c86d34c9aa11f5.tar.bz2
feat: add local Rust crates' bin folder to $PATH
Diffstat (limited to '.bash/vars.bash')
-rw-r--r--.bash/vars.bash9
1 files changed, 9 insertions, 0 deletions
diff --git a/.bash/vars.bash b/.bash/vars.bash
index 29a3dfd..0bdb5d5 100644
--- a/.bash/vars.bash
+++ b/.bash/vars.bash
@@ -94,6 +94,15 @@ if [ -x '/usr/bin/ruby' ]; then
fi
fi
+# ----- RUST ----- #
+# Include local crates' binary path:
+cargopath="${HOME}/.cargo/bin"
+if [ -d "$cargopath" ]; then
+ if ! printf '%b' "$PATH" | grep -P "(^|:)${cargopath}(:|$)" > /dev/null; then
+ PATH="${PATH}:$cargopath"
+ fi
+fi
+
# ----- MISC ----- #
# nopaste
export NOPASTE_SERVICES='pastebin nopaste'